Evaluate Trace
POSThttps://api.confident-ai.com/v1/evaluate/traces/{traceUuid}
curl -X POST "https://api.confident-ai.com/v1/evaluate/traces/{traceUuid}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"metricCollection": "Collection Name"
}'{
"success": true,
"data": {
"id": "TRACE-ID"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
traceUuidstringRequiredThe UUID of the trace you wish to evaluate.
Request body
metricCollectionstringRequiredThe name of the single-turn metric collection to evaluate the trace.
Response
Successful response from evaluate trace API
successbooleanThis is true if the trace was successfully evaluated.
dataobjectShow 1 propertyHide 1 property
idstringThis is the id of the trace, not to be confused with the UUID of the trace.
deprecatedbooleanThis is true if this endpoint is deprecated.